Last Comment Bug 858306 - Modify the submission flow to match the unbucheted UI
: Modify the submission flow to match the unbucheted UI
Status: RESOLVED FIXED
p=3
:
Product: Marketplace
Classification: Server Software
Component: Developer Pages (show other bugs)
: 1.0
: All All
: P1 normal (vote)
: 2013-05-16
Assigned To: Chuck Harmston [:chuck]
:
Mentors:
Depends on:
Blocks: 858314 862444 862454 875009
  Show dependency treegraph
 
Reported: 2013-04-04 15:53 PDT by Daniel Buchner [:dbuc]
Modified: 2013-05-22 12:02 PDT (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Daniel Buchner [:dbuc] 2013-04-04 15:53:17 PDT
Tony and the UX folks have a new submission flow based on app profiling. Please transition the current submission flow to match what the UX team has specified.
Comment 1 Daniel Buchner [:dbuc] 2013-04-04 15:54:14 PDT
Tony, please link in the final UX/UI specs here.
Comment 2 Tony Santos [:tsmuse] 2013-04-04 16:12:05 PDT
The prototype with notes is at http://people.mozilla.org/~asantos/devhubSubmission032013/

I'll have final mocks for the UI after I get back from the workweek, most likely mid-week the week of the 15th, but this should get you started as far as flow and functionality go. It's essentially going to look like the dashboard now, there are just a few layout things and the final icons in the validation and compatibility report that need to be taken care of in mocks.
Comment 3 Matt Basta [:basta] 2013-04-16 11:02:14 PDT
This bug encompases both Packaged and Hosted app submission.

https://etherpad.mozilla.org/mkt-buchets
Comment 4 Rob Hudson [:robhudson] 2013-05-10 10:45:10 PDT
One question that came up in a code review is how we handle app feature selection for packaged apps when the developer is uploading new versions?

If the app features are considered global for all versions developers would need to remember to update their required app features and update them *after* the version is approved or else they're changing the feature set of the currently approved version.

If we include the required app feature checklist during new version upload, we can tie the features to a version and "auto update" them when that version is approved. We can also pre-populate the checklist with the prior version's feature set.

Is this inline with the thinking and current mocks?
Comment 5 Matt Basta [:basta] 2013-05-10 10:51:29 PDT
(In reply to Rob Hudson [:robhudson] from comment #4)
> One question that came up in a code review is how we handle app feature
> selection for packaged apps when the developer is uploading new versions?
> 
> If the app features are considered global for all versions developers would
> need to remember to update their required app features and update them
> *after* the version is approved or else they're changing the feature set of
> the currently approved version.
> 
> If we include the required app feature checklist during new version upload,
> we can tie the features to a version and "auto update" them when that
> version is approved. We can also pre-populate the checklist with the prior
> version's feature set.
> 
> Is this inline with the thinking and current mocks?

I'm under the understanding that the feature profile for an app is tied to specific versions and isn't global for the whole app. When a new version is submitted and the feature profile changes, the period between submission and approval is going to make it frustrating/impossible to cater to the appropriate users. I.e.: if the developer submits an app update that now requires a feature that many users might not have, they'll have to update their feature profile and exclude all of their current users from seeing their app even though the new version hasn't been approved yet.

Eventually we'll also want the reviewers to be able to modify the feature profile for a version, so that feature will depend on the profile being versioned.
Comment 6 Daniel Buchner [:dbuc] 2013-05-10 10:59:09 PDT
The profiles should be generated per version, and nothing about the new version and its profile (that may or may not be different) should affect other versions.
Comment 7 Tony Santos [:tsmuse] 2013-05-10 11:06:45 PDT
+1 to basta and dbuc's comments.
Comment 8 Rob Hudson [:robhudson] 2013-05-10 11:10:42 PDT
Ok great. I don't recall seeing any mocks changing the new version upload flow. And at the database level we are tracking this against versions so all good there.

Perhaps this is better discussed in bug 862444, which I just discovered.
Comment 9 Chuck Harmston [:chuck] 2013-05-15 14:06:48 PDT
Landed behind a waffle switch that is currently enabled on marketplace-dev: https://github.com/mozilla/zamboni/commit/9f75f28d9286697a4980cc8f187b203bd6e2fb8c
Comment 10 Chuck Harmston [:chuck] 2013-05-15 14:09:23 PDT
Correction: Queen Krupa is disabling the flag until after the 5/16 push.
Comment 11 Fred Wenzel [:wenzel] 2013-05-22 12:02:12 PDT
typo, obv.

Note You need to log in before you can comment on or make changes to this bug.